> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post resourcesgroups 1

> Removes one or more Resources identified by the POSTed Criteria value from the Resource Group identified by the **sysidResourceGroup** path
parameter. A Resource Group is simply a grouping of  Resource data values. Resource Groups are used for determining the Allocation Relationship between
a User Group and the resources within the Resource Group.

This operation requires a Resource Groups Resource Criteria value.

This operation returns a Resource Group value with the removed resource members.



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml post /resources/groups/{sysidResourceGroup}
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /resources/groups/{sysidResourceGroup}:
    post:
      tags:
        - ResourceGroupService
      description: >-
        Removes one or more Resources identified by the POSTed Criteria value
        from the Resource Group identified by the **sysidResourceGroup** path

        parameter. A Resource Group is simply a grouping of  Resource data
        values. Resource Groups are used for determining the Allocation
        Relationship between

        a User Group and the resources within the Resource Group.


        This operation requires a Resource Groups Resource Criteria value.


        This operation returns a Resource Group value with the removed resource
        members.
      operationId: removeResourcesFromResourceGroup
      parameters:
        - name: sysidResourceGroup
          in: path
          required: true
          schema:
            type: integer
            format: int32
          description: >-
            Integer SYSID of the Resource Group from which the identified
            resources will be removed
      requestBody:
        description: >-
          Resource Groups Criteria Object which identifies which Resources to
          add to the identified Resource Group
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  resourceTypes:
                    - 12345
                    - 12345
                  sysidLocatorNodes:
                    - 12345
                    - 12345
                  sysidCategories:
                    - 12345
                    - 12345
            schema:
              $ref: '#/components/schemas/ResourceGroupsResourceCriteria'
      responses:
        '201':
          content:
            application/json:
              examples:
                example:
                  value:
                    neighborhood: true
                    sysidResourceGroup: 12345
                    color: ...
                    description: ...
                    name: ...
                    groupMembers:
                      - sysidResourceGroupMember: 12345
                        resourceView:
                          typeDescription: ...
                          name: ...
                          sysidResourceType: 12345
                          minChargeCodeRequired: 12345
                          sysidStatus: 12345
                          price: 12345
                          maxFutureReservationDays: 12345
                          sysidCategory: 12345
                          chargeCodeType: 12345
                          mapImageLocators:
                            - {}
                            - {}
                          sysidCurrencyType: 12345
                          leadTimeMinutes: 12345
                          originalResource: true
                          minDurationMinutes: 12345
                          discriminator: ...
                          breakDownMinutes: 12345
                          setupMinutes: 12345
                          allocRelationship: 12345
                          sysidCostUnitType: 12345
                          sysidResource: 12345
                          resourceLocations:
                            - {}
                            - {}
                          maxDurationMinutes: 12345
                          images:
                            - {}
                            - {}
                        sysidResource: 12345
                      - sysidResourceGroupMember: 12345
                        resourceView:
                          typeDescription: ...
                          name: ...
                          sysidResourceType: 12345
                          minChargeCodeRequired: 12345
                          sysidStatus: 12345
                          price: 12345
                          maxFutureReservationDays: 12345
                          sysidCategory: 12345
                          chargeCodeType: 12345
                          mapImageLocators:
                            - {}
                            - {}
                          sysidCurrencyType: 12345
                          leadTimeMinutes: 12345
                          originalResource: true
                          minDurationMinutes: 12345
                          discriminator: ...
                          breakDownMinutes: 12345
                          setupMinutes: 12345
                          allocRelationship: 12345
                          sysidCostUnitType: 12345
                          sysidResource: 12345
                          resourceLocations:
                            - {}
                            - {}
                          maxDurationMinutes: 12345
                          images:
                            - {}
                            - {}
                        sysidResource: 12345
              schema:
                $ref: '#/components/schemas/ResourceGroup'
          description: |-
            Updated Resource Group or an Agilquest.com Error

            com.agilquest.phoenix.shared.data.resource.ResourceGroup
components:
  schemas:
    ResourceGroupsResourceCriteria:
      type: object
      title: ResourceGroupsResourceCriteria
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            resourceTypes:
              type: array
              items:
                type: integer
            sysidLocatorNodes:
              type: array
              items:
                type: integer
            sysidCategories:
              type: array
              items:
                type: integer
      example:
        resourceTypes:
          - 12345
          - 12345
        sysidLocatorNodes:
          - 12345
          - 12345
        sysidCategories:
          - 12345
          - 12345
    ResourceGroup:
      type: object
      title: ResourceGroup
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            neighborhood:
              type: boolean
            sysidResourceGroup:
              type: integer
              format: int32
            color:
              type: string
            description:
              type: string
            name:
              type: string
            groupMembers:
              type: array
              items:
                $ref: '#/components/schemas/ResourceGroupMember'
      example:
        neighborhood: true
        sysidResourceGroup: 12345
        color: ...
        description: ...
        name: ...
        groupMembers:
          - sysidResourceGroupMember: 12345
            resourceView:
              typeDescription: ...
              name: ...
              sysidResourceType: 12345
              minChargeCodeRequired: 12345
              sysidStatus: 12345
              price: 12345
              maxFutureReservationDays: 12345
              sysidCategory: 12345
              chargeCodeType: 12345
              mapImageLocators:
                - {}
                - {}
              sysidCurrencyType: 12345
              leadTimeMinutes: 12345
              originalResource: true
              minDurationMinutes: 12345
              discriminator: ...
              breakDownMinutes: 12345
              setupMinutes: 12345
              allocRelationship: 12345
              sysidCostUnitType: 12345
              sysidResource: 12345
              resourceLocations:
                - {}
                - {}
              maxDurationMinutes: 12345
              images:
                - {}
                - {}
            sysidResource: 12345
          - sysidResourceGroupMember: 12345
            resourceView:
              typeDescription: ...
              name: ...
              sysidResourceType: 12345
              minChargeCodeRequired: 12345
              sysidStatus: 12345
              price: 12345
              maxFutureReservationDays: 12345
              sysidCategory: 12345
              chargeCodeType: 12345
              mapImageLocators:
                - {}
                - {}
              sysidCurrencyType: 12345
              leadTimeMinutes: 12345
              originalResource: true
              minDurationMinutes: 12345
              discriminator: ...
              breakDownMinutes: 12345
              setupMinutes: 12345
              allocRelationship: 12345
              sysidCostUnitType: 12345
              sysidResource: 12345
              resourceLocations:
                - {}
                - {}
              maxDurationMinutes: 12345
              images:
                - {}
                - {}
            sysidResource: 12345
    DependentData:
      type: object
      title: DependentData
      example: {}
    ResourceGroupMember:
      type: object
      title: ResourceGroupMember
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidResourceGroupMember:
              type: integer
              format: int32
            resourceView:
              $ref: '#/components/schemas/ResourceView'
            sysidResource:
              type: integer
              format: int32
      example:
        sysidResourceGroupMember: 12345
        resourceView:
          typeDescription: ...
          name: ...
          sysidResourceType: 12345
          minChargeCodeRequired: 12345
          sysidStatus: 12345
          price: 12345
          maxFutureReservationDays: 12345
          sysidCategory: 12345
          chargeCodeType: 12345
          mapImageLocators:
            - left: 12345
              height: 12345
              top: 12345
              sysidMapLocator: 12345
              transparency: 12345
              locatorImage: {}
              sysidMapImage: 12345
              rotation: 12345
              width: 12345
              sysidLocatorImage: 12345
            - left: 12345
              height: 12345
              top: 12345
              sysidMapLocator: 12345
              transparency: 12345
              locatorImage: {}
              sysidMapImage: 12345
              rotation: 12345
              width: 12345
              sysidLocatorImage: 12345
          sysidCurrencyType: 12345
          leadTimeMinutes: 12345
          originalResource: true
          minDurationMinutes: 12345
          discriminator: ...
          breakDownMinutes: 12345
          setupMinutes: 12345
          allocRelationship: 12345
          sysidCostUnitType: 12345
          sysidResource: 12345
          resourceLocations:
            - postalCode: ...
              sysidVenueNode: 12345
              sysidLocatorNode: 12345
              address2: ...
              country: ...
              address1: ...
              city: ...
              venueName: ...
              stateProvince: ...
              locationName: ...
            - postalCode: ...
              sysidVenueNode: 12345
              sysidLocatorNode: 12345
              address2: ...
              country: ...
              address1: ...
              city: ...
              venueName: ...
              stateProvince: ...
              locationName: ...
          maxDurationMinutes: 12345
          images:
            - thumbnailSource: ...
              height: 12345
              imageSource: ...
              sysidResourceImage: 12345
              width: 12345
              defaultImage: true
              name: ...
              displayOrder: 12345
              description: ...
            - thumbnailSource: ...
              height: 12345
              imageSource: ...
              sysidResourceImage: 12345
              width: 12345
              defaultImage: true
              name: ...
              displayOrder: 12345
              description: ...
        sysidResource: 12345
    ResourceView:
      type: object
      title: ResourceView
      required:
        - sysidResourceType
        - minChargeCodeRequired
        - sysidStatus
        - sysidCategory
        - chargeCodeType
        - originalResource
        - breakDownMinutes
        - setupMinutes
        - allocRelationship
        - sysidResource
      allOf:
        - $ref: '#/components/schemas/ViewBase'
        - properties:
            typeDescription:
              type: string
            name:
              type: string
            sysidResourceType:
              type: integer
              format: int32
            minChargeCodeRequired:
              type: integer
              format: int32
            sysidStatus:
              type: integer
              format: int32
            price:
              type: number
            maxFutureReservationDays:
              type: integer
              format: int32
            sysidCategory:
              type: integer
              format: int32
            chargeCodeType:
              type: integer
              format: int32
            mapImageLocators:
              type: array
              items:
                $ref: '#/components/schemas/ImageLocatorData'
            sysidCurrencyType:
              type: integer
              format: int32
            leadTimeMinutes:
              type: integer
              format: int32
            originalResource:
              type: boolean
            minDurationMinutes:
              type: integer
              format: int32
            discriminator:
              type: string
            breakDownMinutes:
              type: integer
              format: int32
            setupMinutes:
              type: integer
              format: int32
            allocRelationship:
              type: integer
              format: int32
            sysidCostUnitType:
              type: integer
              format: int32
            sysidResource:
              type: integer
              format: int32
            resourceLocations:
              type: array
              items:
                $ref: '#/components/schemas/ResourceViewLocation'
            maxDurationMinutes:
              type: integer
              format: int32
            images:
              type: array
              items:
                $ref: '#/components/schemas/ResourceImageData'
      example:
        typeDescription: ...
        name: ...
        sysidResourceType: 12345
        minChargeCodeRequired: 12345
        sysidStatus: 12345
        price: 12345
        maxFutureReservationDays: 12345
        sysidCategory: 12345
        chargeCodeType: 12345
        mapImageLocators:
          - left: 12345
            height: 12345
            top: 12345
            sysidMapLocator: 12345
            transparency: 12345
            locatorImage:
              imageSource: ...
              imageType: {}
              sysidLocatorImage: 12345
            sysidMapImage: 12345
            rotation: 12345
            width: 12345
            sysidLocatorImage: 12345
          - left: 12345
            height: 12345
            top: 12345
            sysidMapLocator: 12345
            transparency: 12345
            locatorImage:
              imageSource: ...
              imageType: {}
              sysidLocatorImage: 12345
            sysidMapImage: 12345
            rotation: 12345
            width: 12345
            sysidLocatorImage: 12345
        sysidCurrencyType: 12345
        leadTimeMinutes: 12345
        originalResource: true
        minDurationMinutes: 12345
        discriminator: ...
        breakDownMinutes: 12345
        setupMinutes: 12345
        allocRelationship: 12345
        sysidCostUnitType: 12345
        sysidResource: 12345
        resourceLocations:
          - postalCode: ...
            sysidVenueNode: 12345
            sysidLocatorNode: 12345
            address2: ...
            country: ...
            address1: ...
            city: ...
            venueName: ...
            stateProvince: ...
            locationName: ...
          - postalCode: ...
            sysidVenueNode: 12345
            sysidLocatorNode: 12345
            address2: ...
            country: ...
            address1: ...
            city: ...
            venueName: ...
            stateProvince: ...
            locationName: ...
        maxDurationMinutes: 12345
        images:
          - thumbnailSource: ...
            height: 12345
            imageSource: ...
            sysidResourceImage: 12345
            width: 12345
            defaultImage: true
            name: ...
            displayOrder: 12345
            description: ...
          - thumbnailSource: ...
            height: 12345
            imageSource: ...
            sysidResourceImage: 12345
            width: 12345
            defaultImage: true
            name: ...
            displayOrder: 12345
            description: ...
    ViewBase:
      type: object
      title: ViewBase
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - {}
      example: {}
    ImageLocatorData:
      type: object
      title: ImageLocatorData
      required:
        - left
        - height
        - top
        - transparency
        - sysidMapImage
        - rotation
        - width
        - sysidLocatorImage
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            left:
              type: integer
              format: int32
            height:
              type: integer
              format: int32
            top:
              type: integer
              format: int32
            sysidMapLocator:
              type: integer
              format: int32
            transparency:
              type: integer
              format: int32
            locatorImage:
              $ref: '#/components/schemas/LocatorImage'
            sysidMapImage:
              type: integer
              format: int32
            rotation:
              type: integer
              format: int32
            width:
              type: integer
              format: int32
            sysidLocatorImage:
              type: integer
              format: int32
      example:
        left: 12345
        height: 12345
        top: 12345
        sysidMapLocator: 12345
        transparency: 12345
        locatorImage:
          imageSource: ...
          imageType:
            languageTagKey: ...
            name: ...
            sysid: 12345
          sysidLocatorImage: 12345
        sysidMapImage: 12345
        rotation: 12345
        width: 12345
        sysidLocatorImage: 12345
    ResourceViewLocation:
      type: object
      title: ResourceViewLocation
      required:
        - sysidVenueNode
        - sysidLocatorNode
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            postalCode:
              type: string
            sysidVenueNode:
              type: integer
              format: int32
            sysidLocatorNode:
              type: integer
              format: int32
            address2:
              type: string
            country:
              type: string
            address1:
              type: string
            city:
              type: string
            venueName:
              type: string
            stateProvince:
              type: string
            locationName:
              type: string
      example:
        postalCode: ...
        sysidVenueNode: 12345
        sysidLocatorNode: 12345
        address2: ...
        country: ...
        address1: ...
        city: ...
        venueName: ...
        stateProvince: ...
        locationName: ...
    ResourceImageData:
      type: object
      title: ResourceImageData
      required:
        - defaultImage
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            height:
              type: integer
              format: int32
            thumbnailSource:
              type: string
            imageSource:
              type: string
            displayOrder:
              type: integer
              format: int32
            name:
              type: string
            defaultImage:
              type: boolean
            sysidResourceImage:
              type: integer
              format: int32
            width:
              type: integer
              format: int32
            description:
              type: string
      example:
        thumbnailSource: ...
        height: 12345
        imageSource: ...
        sysidResourceImage: 12345
        width: 12345
        defaultImage: true
        name: ...
        displayOrder: 12345
        description: ...
    LocatorImage:
      type: object
      title: LocatorImage
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            imageSource:
              type: string
            imageType:
              $ref: '#/components/schemas/CodeTableData'
            sysidLocatorImage:
              type: integer
              format: int32
      example:
        imageSource: ...
        imageType:
          languageTagKey: ...
          name: ...
          sysid: 12345
        sysidLocatorImage: 12345
    CodeTableData:
      type: object
      title: CodeTableData
      required:
        - sysid
      allOf:
        - $ref: '#/components/schemas/ViewBase'
        - properties:
            languageTagKey:
              type: string
            name:
              type: string
            sysid:
              type: integer
              format: int32
      example:
        languageTagKey: ...
        name: ...
        sysid: 12345

````